Bug 1279211 - (python-gradunwarp) Review Request: python-gradunwarp - Gradient Unwarping
Review Request: python-gradunwarp - Gradient Unwarping
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: python-nibabel
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-08 11:02 EST by Igor Gnatenko
Modified: 2015-12-09 15:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-11-08 11:02:22 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-gradunwarp.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-gradunwarp-1.0.2-1.fc24.src.rpm
Description:
Python/Numpy package used to unwarp the distorted volumes (due to the gradient
field inhomogenities).
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-25 11:29:36 EST
#!/usr/bin/env /usr/bin/python2 → #!/usr/bin/python2.

Looks good otherwise.
Comment 2 Igor Gnatenko 2015-11-25 15:31:41 EST
Can you approve and I will fix in import stage if there are no other issues?

Thanks for review.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-25 16:27:13 EST
It has the same problem as other packages: the script in /usr/bin/ should not be suffixed
with -2 or -2.7.
Comment 4 Igor Gnatenko 2015-11-25 16:32:29 EST
> the script in /usr/bin/ should not be suffixed
> with -2 or -2.7.

it is not.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-11-25 16:40:15 EST
Oh, sorry, too many reviews in parallel :)

Pasting rmplint and requires/provides for reference:

$ rpmlint python-gradunwarp
python-gradunwarp.x86_64: W: spelling-error %description -l en_US unwarp -> unwrap, unwary
python-gradunwarp.x86_64: W: spelling-error %description -l en_US inhomogenities -> homogenizes
python-gradunwarp.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gradunwarp/core/interp3_ext.so 775
python-gradunwarp.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gradunwarp/core/legendre_ext.so 775
python-gradunwarp.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gradunwarp/core/transform_coordinates_ext.so 775
python-gradunwarp.x86_64: W: no-manual-page-for-binary gradient_unwarp
1 packages and 0 specfiles checked; 3 errors, 3 warnings.

All OK.

Requires:
/usr/bin/env
/usr/bin/python2
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libpthread.so.0()(64bit)
libpython2.7.so.1.0()(64bit)
numpy
python(abi) = 2.7
python2-nibabel
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
rtld(GNU_HASH)
scipy

Provides:
python-gradunwarp = 1.0.2-1.fc24
python-gradunwarp(x86-64) = 1.0.2-1.fc24

Oh, so this uncovers another issue:
- please add Provides: python2-gradunwrap when importing.

Package is APPROVED.
Comment 6 Igor Gnatenko 2015-11-25 17:55:23 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-gradunwarp.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-gradunwarp-1.0.2-2.fc24.src.rpm

I had some minutes to add py3 subpkg (with sending patches to upstream) and I also fixed issues found by you.
Comment 7 Till Maas 2015-11-26 16:33:39 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-gradunwarp
Comment 8 Fedora Update System 2015-11-29 07:53:21 EST
python-gradunwarp-1.0.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-203b00ea80
Comment 9 Fedora Update System 2015-11-29 18:52:46 EST
python-gradunwarp-1.0.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-gradunwarp'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-203b00ea80
Comment 10 Fedora Update System 2015-12-09 15:51:21 EST
python-gradunwarp-1.0.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.